import 'dart:convert';
import 'dart:typed_data';

class ApplicationInfoModel {
  final String name;
  final bool trusted;
  final Uint8List logoPicture;

  ApplicationInfoModel(this.name, this.trusted, this.logoPicture);

  ApplicationInfoModel.fromJson(Map<dynamic, dynamic> json)
      : name = json["name"] as String,
        trusted = json["trusted"] as bool,
        logoPicture = base64.decode(json["logoPictureBase64"] as String);
}
